/** Practice problem from handout 3

 Given a string of text with several words, e.g. brevity is the soul of wit change it so 

that it has
a. the first word capitalized, i.e. BREVITY is the soul of wit,
b. the last word capitalized, i.e. brevity is the soul of WIT
c. the first two words capitalized BREVITY IS the soul of wit.

Second word ends at the Second space *only if* single spaces
               btw words and str is trimmed

Assume there may be any number of spaces anywhere.
The second word is the word after the first one.
*/

public class Problem7c {

	public static void main(String[] args) {

		String str = " brevity   is   the   soul   of   wit" ; 
		str = str.trim();
		System.out.println("str = ["+ str+"]");

		// GOAL: compose a string that is like str but has 
		// the first two words capitalized  
		
 		/* Strategy:
		 * part1 -  first word 
		 * part2 - string that has everything but the first word
		 * part3 - second word - it is the first word of part2  
		 * part4 -               part2 without the first word  */

		// find where the first space is to extract the first word 
		// and the part of the String without the first word
		int posOfSpace1 = str.indexOf(" "); 
		System.out.println(" 1st space at " + posOfSpace1 );		
		String firstWord = str.substring(0, posOfSpace1);
		firstWord=firstWord.toUpperCase();
		System.out.println("first word capitalized is " +firstWord);

		String partWithoutFirst = str.substring(posOfSpace1).trim()     ;
		System.out.println("partWithoutFirstWOrd = ["+partWithoutFirst +"]");

		//  trim it, and find the first word in partWithoutFirst - 
		//      that would be the Second word
		int endOfFirstWord =  partWithoutFirst.indexOf(" ");
		String secondWord = partWithoutFirst.substring(0, endOfFirstWord).toUpperCase();
		System.out.println("second word capitalized is " +secondWord);

		String result = firstWord + " " + secondWord 
				+ partWithoutFirst.substring(endOfFirstWord);

		System.out.println("result is [" + result + "]");
		


	}

}
